Get list of groups

GET
https://example.kaiten.ru/api/latest/company/groups

Get groups list filtered by query params. The result of the request is displayed page by page if limit or offset presented and with_tree_entities is false (see details in the constraints of the parameters).

Query
NameTypeConstraintsDescription
with_tree_entitiesbooleanAdd tree entities for each group
with_users_countbooleanAdd users count for each group
with_sync_group_attributebooleanAdd sync attribute for each group
conditionenum1 - active, 2 - inactive
querystringSearch query
limitintegerDefault: 100Maximum amount of records
offsetintegerNumber of records to skip
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
name

string

Group name
permissions

integer

Group permissions
updated

string

Last update timestamp
created

string

Create date
id

integer

Group id
uid

string

Group uid
add_to_cards_and_spaces_enabled

boolean

Ability to add all users of the group to cards, placed in group spaces. Ability to filter logs by group in «Timesheets»
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io
  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/company/groups' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!